summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2016-11-13 00:28:41 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-11-13 00:28:41 +0100
commitb7b08d22d511291375ecab7fb0dd36effb7c4965 (patch)
treedfdb68776524d6cd30d6090b2a0cd45e13b04689 /app-text/writerperfect
parentapp-text/writerperfect: Add missing dependency (diff)
downloadgentoo-b7b08d22d511291375ecab7fb0dd36effb7c4965.tar.gz
gentoo-b7b08d22d511291375ecab7fb0dd36effb7c4965.tar.bz2
gentoo-b7b08d22d511291375ecab7fb0dd36effb7c4965.zip
app-text/writerperfect: Add REQUIRED_USE, bug 599276
Package-Manager: portage-2.3.2
Diffstat (limited to 'app-text/writerperfect')
-rw-r--r--app-text/writerperfect/writerperfect-0.9.5.ebuild7
1 files changed, 6 insertions, 1 deletions
diff --git a/app-text/writerperfect/writerperfect-0.9.5.ebuild b/app-text/writerperfect/writerperfect-0.9.5.ebuild
index d666f2043bf..4ef421c6797 100644
--- a/app-text/writerperfect/writerperfect-0.9.5.ebuild
+++ b/app-text/writerperfect/writerperfect-0.9.5.ebuild
@@ -13,7 +13,7 @@ SLOT="0"
KEYWORDS="~amd64 ~x86 ~x86-linux ~x86-solaris"
IUSE="abiword +cdr debug ebook freehand gsf keynote +mspub +mwaw pagemaker +visio +wpd +wpg +wps"
-# FIXME: libepubgen, libeot, librvngabw
+# FIXME: libepubgen, librvngabw
RDEPEND="
=app-text/libodfgen-0.1*
>=dev-libs/librevenge-0.0.1
@@ -36,6 +36,11 @@ DEPEND="${RDEPEND}
virtual/pkgconfig
"
+REQUIRED_USE="
+ || ( abiword cdr ebook freehand keynote mspub mwaw pagemaker visio wpd wpg wps )
+"
+# configure fails if no import library is selected...
+
src_configure() {
econf \
--disable-werror \